org.apache.tomcat.util.collections

## Class ConcurrentCache<K,V>

- java.lang.Object
- - org.apache.tomcat.util.collections.ConcurrentCache<K,V>

-     public final class ConcurrentCache<K,V>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConcurrentCache(int size)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `V` | `get(K k)`
    `void` | `put(K k, V v)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConcurrentCache

          public ConcurrentCache(int size)

  - ### Method Detail

    - #### get

          public V get(K k)

    - #### put

          public void put(K k,
                 V v)

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.